Bug 1600 - Alternate address form should offer 2 address fields
Summary: Alternate address form should offer 2 address fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-20 06:54 UTC by Owen Leonard
Modified: 2012-10-25 22:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot from patron data input form (13.08 KB, image/png)
2009-09-01 09:38 UTC, Chris Cormack
Details
Proposed Patch (23.52 KB, patch)
2009-09-05 10:37 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:32:27 UTC


---- Reported by oleonard@myacpl.org 2007-11-20 06:54:34 ----

The main address form offers the user two lines for address, so the alternate address form should offer the same.



---- Additional Comments From jmf@liblime.com 2007-12-25 10:56:28 ----

Marking as enhancement, as this is pretty low priority



---- Additional Comments From katrin.fischer@bsz-bw.de 2009-09-01 09:38:11 ----

Created an attachment
screenshot from patron data input form

All 3 possible addresses in patron record should offer the same address fields.

In Alternate Address the address2 field is still missing. 

NEW: Alternate Contact has no country field.



---- Additional Comments From katrin.fischer@bsz-bw.de 2009-09-05 10:37:45 ----

Created an attachment
Proposed Patch

Patch also relevant for http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3464.



---- Additional Comments From gmcharlt@gmail.com 2009-09-06 14:24:32 ----

Pushed patch to HEAD.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:32 UTC  ---

This bug was previously known as _bug_ 1600 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1600
Imported an attachment (id=353)
Imported an attachment (id=354)

Actual time not defined. Setting to 0.0
The original submitter of attachment 353 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 354 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.